Subject: Re: bug#20675: 24.3; emacsclient cannot talk to emacs

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 01:46:22 +0200

Bruce Korb <[email-masked]> writes:

> I have no idea what may have triggered the bug.
> I am using emacsclient and emacs just fine for quite a while,
> then all of a sudden:
>
>> $ emacsclient cscope.files
>> emacsclient: can't find socket; have you started the server?
>> To start the server in Emacs, type "M-x server-start".
>> emacsclient: No socket or alternate editor.  Please use:
>>
>>         --socket-name
>>         --server-file      (or environment variable EMACS_SERVER_FILE)
>>         --alternate-editor (or environment variable ALTERNATE_EDITOR)
>
> so I start up another xterm running bash and everything is fine.
> For a while.  Then the same thing happens.  I do *NOT* have to restart
> emacs or even the server code.  I have to start another xterm.
> (Re-exec-ing bash does no good.)  So, clearly, something is scrogged
> in the xterm so that it cannot talk to...........
>
> AH HA!!
>
> The problem is that I need to redirect TMPDIR to different places for
> different tasks.  So that explainer above might get expanded to include
> mention of the fact that this directory:  ${TMPDIR}/emacs$(id -u)
> is used for communication.  I'd have found the problem long ago.
>
> So please consider this an RFE to the above "can't find socket" message.

Are you saying that you are trying to use emacsclient with a different
$TMPDIR than the one you used for the emacs server?

Best regards,
Stefan Kagas